--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: leading_non_opts
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: trailing_non_opts
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: NUMERIC
  value: /(\d*\.\d+|\d+)/
- !ruby/object:RI::Constant 
  comment: 
  name: LONG_RE
  value: /^(--\w+[-\w+]*)$/
- !ruby/object:RI::Constant 
  comment: 
  name: SHORT_RE
  value: /^(-[a-z])$/i
- !ruby/object:RI::Constant 
  comment: 
  name: EQ_RE
  value: /^(--\w+[-\w+]*|-[a-z])=(.*)$/i
- !ruby/object:RI::Constant 
  comment: 
  name: SHORT_SQ_RE
  value: /^-([a-z]{2,})$/i
- !ruby/object:RI::Constant 
  comment: 
  name: SHORT_NUM
  value: /^(-[a-z])#{NUMERIC}$/i
full_name: Thor::Options
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: formatted_usage
- !ruby/object:RI::MethodSummary 
  name: non_opts
- !ruby/object:RI::MethodSummary 
  name: parse
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Options
superclass: Object
